fr.enssat.BoulderDash.models

## Class BrickWallModel

- java.lang.Object
- - fr.enssat.BoulderDash.models.DisplayableElementModel
  - - fr.enssat.BoulderDash.models.BrickWallModel

    public class BrickWallModel
    extends DisplayableElementModel

BrickWallModel Represents the brick wall in the game.

Since:
  2015-06-19
Author:
  Colin Leverger <me@colinleverger.fr>

### Constructor Summary

Constructors
Constructor and Description
`BrickWallModel()` Class constructor

### Method Summary

### Methods inherited from class fr.enssat.BoulderDash.models.DisplayableElementModel

`getCollideSound, getGroupName, getPathToSprite, getPriority, getSprite, getSpriteName, getStateValue, grabSprite, isAnimate, isConvertible, isDestructible, isFalling, isImpactExplosive, isMoving, loadSprite, setAnimate, setCollideSound, setConvertibleValue, setFalling, setImpactExplosive, setPriority, setSprite, update`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BrickWallModel

    public BrickWallModel()

Class constructor